Bug 501349 - RADEON:KMS:RV530:X1600 Macbook pro hang after booting
RADEON:KMS:RV530:X1600 Macbook pro hang after booting
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
card_R500/mM
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 12:39 EDT by Alexey Kuznetsov
Modified: 2010-12-05 01:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:54:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
00001.jpg (77.20 KB, image/jpeg)
2009-05-18 12:40 EDT, Alexey Kuznetsov
no flags Details
00008.jpg (123.21 KB, image/jpeg)
2009-05-18 12:41 EDT, Alexey Kuznetsov
no flags Details
00009.jpg (109.96 KB, image/jpeg)
2009-05-18 12:41 EDT, Alexey Kuznetsov
no flags Details
00010.jpg (93.24 KB, image/jpeg)
2009-05-18 12:42 EDT, Alexey Kuznetsov
no flags Details
00011.jpg (40.38 KB, image/jpeg)
2009-05-18 12:42 EDT, Alexey Kuznetsov
no flags Details
00012.jpg (39.64 KB, image/jpeg)
2009-05-18 12:42 EDT, Alexey Kuznetsov
no flags Details
Xorg.0.log (19.07 KB, text/plain)
2009-05-19 10:16 EDT, Alexey Kuznetsov
no flags Details
00001.jpg (4.02 MB, image/jpeg)
2009-11-10 16:09 EST, Alexey Kuznetsov
no flags Details

  None (edit)
Description Alexey Kuznetsov 2009-05-18 12:39:07 EDT
I trid to boot my efi-usb flash on my macbook pro. Its hung with green screen.
Comment 1 Alexey Kuznetsov 2009-05-18 12:40:47 EDT
Created attachment 344469 [details]
00001.jpg
Comment 2 Alexey Kuznetsov 2009-05-18 12:41:32 EDT
Created attachment 344470 [details]
00008.jpg
Comment 3 Alexey Kuznetsov 2009-05-18 12:41:53 EDT
Created attachment 344471 [details]
00009.jpg
Comment 4 Alexey Kuznetsov 2009-05-18 12:42:09 EDT
Created attachment 344472 [details]
00010.jpg
Comment 5 Alexey Kuznetsov 2009-05-18 12:42:27 EDT
Created attachment 344473 [details]
00011.jpg
Comment 6 Alexey Kuznetsov 2009-05-18 12:42:43 EDT
Created attachment 344474 [details]
00012.jpg
Comment 7 Matěj Cepl 2009-05-18 13:11:59 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

When the anaconda crashes, please, switch to the console (Ctrl+Alt+F2) and cp /tmp/X* to some other place -- USB stick, some other computer via network, some on the Internet, and please attach it to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 8 Alexey Kuznetsov 2009-05-18 13:18:30 EDT
its impossible, kernel do not up my interfaces yet. and system complicity hungs no keys.
Comment 9 Peter Jones 2009-05-19 09:43:20 EDT
Can you try booting with "nomodeset" and see if that works better?
Comment 10 Alexey Kuznetsov 2009-05-19 09:49:51 EDT
wow! its works!
Comment 11 Alexey Kuznetsov 2009-05-19 10:16:09 EDT
Created attachment 344622 [details]
Xorg.0.log

radeon wont work
Comment 12 Bug Zapper 2009-06-09 12:03:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Matěj Cepl 2009-11-05 13:29:29 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 14 Alexey Kuznetsov 2009-11-05 14:10:14 EST
same for f12+last updates
Comment 15 Alexey Kuznetsov 2009-11-09 05:32:05 EST
i forgot to mention, this is EFI boot problem. i dont have worked CD, so i requited to run livecd by usb-stick.

UMS mode unable to startx. KMS hang at boot.
Comment 16 Alexey Kuznetsov 2009-11-10 16:09:14 EST
Created attachment 368830 [details]
00001.jpg

f12-beta EFI-KMS mode, hang at this screen (no capslock activity).

for EFI-UMS mode, screen fine formed, but hang at same position (no capslock activity).
Comment 17 Alexey Kuznetsov 2009-11-10 16:13:59 EST
fedora grub hang after kernel choise (EFI boot). i use my own grub2 svn (lastupdates, no paches) build.
Comment 18 Alexey Kuznetsov 2009-11-10 16:15:58 EST
i have bug report about grub hang (bug 501345)
Comment 19 Bug Zapper 2009-11-16 04:59:25 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Alexey Kuznetsov 2010-01-09 05:52:33 EST
original kernel linux-2.6.32.y (git last version) works fine (KMS boot). fedora kernel-2.6.31.9-174.fc12.x86_64 hang at boot.

to compile git version i use make oldconfig from /boot/config-2.6.31.9-174.fc12.x86_64.

so, problem in fedora crazy patches.
Comment 21 Bug Zapper 2010-11-04 07:14:15 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Bug Zapper 2010-12-05 01:54:13 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.